import {WorldData} from "./world.js"
import {Player} from "../player.js"

export function flag(x:number, y:number, data:WorldData, playerColor:number):WorldData {
  let tile = data[x][y]

  if (!tile.mask) return data
  const color:number = +playerColor

  switch (tile.flag) {
    case (0):
        tile.flag = color;
      break;
    case (color):
        tile.flag = color + 16;
      break;
    default:
        tile.flag = 0;
  }

  data[x][y] = tile
  return data;
}
